#ifndef FILE_H
#define FILE_H

#include "xasset.h"

class XFile : public XAsset
{
public:
    explicit XFile();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mSize;
    quint32 mExternalSize;
    quint32 mBlockSize[7];
};

#endif // FILE_H
